curl --request GET \
--url https://deep-index.moralis.io/api/v2.2/erc20/metadata \
--header 'X-API-Key: <api-key>'import requests
url = "https://deep-index.moralis.io/api/v2.2/erc20/metadata"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://deep-index.moralis.io/api/v2.2/erc20/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"address": "0x6982508145454ce325ddbe47a25d4ec3d2311933",
"name": "Kylin Network",
"symbol": "KYL",
"decimals": "18",
"created_at": "<string>",
"possible_spam": "false",
"address_label": "Binance 1",
"logo": "https://cdn.moralis.io/eth/0x67b6d479c7bb412c54e03dca8e1bc6740ce6b99c.png",
"logo_hash": "ee7aa2cdf100649a3521a082116258e862e6971261a39b5cd4e4354fcccbc54d",
"thumbnail": "https://cdn.moralis.io/eth/0x67b6d479c7bb412c54e03dca8e1bc6740ce6b99c_thumb.png",
"total_supply": "420689899999994793099999999997400",
"total_supply_formatted": "420689899999994.7930999999999974",
"implementations": [
{
"chainId": "0x1",
"address": "0x6982508145454ce325ddbe47a25d4ec3d2311933",
"chain": "eth",
"chainName": "Ethereum"
}
],
"fully_diluted_valuation": "3407271444.05",
"block_number": "<string>",
"validated": 123,
"verified_contract": false,
"categories": [
"stablecoin"
],
"links": {
"bitbucket": "<string>",
"discord": "<string>",
"facebook": "<string>",
"github": "<string>",
"instagram": "<string>",
"linkedin": "<string>",
"medium": "<string>",
"reddit": "<string>",
"telegram": "<string>",
"tiktok": "<string>",
"twitter": "<string>",
"website": "<string>",
"youtube": "<string>"
},
"circulating_supply": "4206864.7489303",
"market_cap": "3407271444.05"
}
]Token Metadata
Retrieve metadata (name, symbol, decimals, logo) for an ERC20 token contract, as well as off-chain metadata, total supply, categories, logos, spam status and more.
Authorizations
Query Parameters
The chain to query
eth, 0x1, polygon, 0x89, bsc, 0x38, avalanche, 0xa86a, cronos, 0x19, arbitrum, 0xa4b1, chiliz, 0x15b38, gnosis, 0x64, base, 0x2105, optimism, 0xa, linea, 0xe708, moonbeam, 0x504, moonriver, 0x505, flow, 0x2eb, ronin, 0x7e4, lisk, 0x46f, pulse, 0x171, sei, 0x531, monad, 0x8f The addresses to get metadata for
10Response
Get the metadata for a given ERC20 token contract address (name, symbol, decimals, logo).
The address of the token contract
"0x6982508145454ce325ddbe47a25d4ec3d2311933"
The name of the token contract
"Kylin Network"
The symbol of the NFT contract
"KYL"
The number of decimals on the token
"18"
The timestamp of when the erc20 token was created
Indicates if a contract is possibly a spam contract
"false"
The label of the address
"Binance 1"
The logo of the token
"https://cdn.moralis.io/eth/0x67b6d479c7bb412c54e03dca8e1bc6740ce6b99c.png"
The logo hash
"ee7aa2cdf100649a3521a082116258e862e6971261a39b5cd4e4354fcccbc54d"
The thumbnail of the logo
"https://cdn.moralis.io/eth/0x67b6d479c7bb412c54e03dca8e1bc6740ce6b99c_thumb.png"
Total tokens created minus any that have been burned
"420689899999994793099999999997400"
Total tokens created minus any that have been burned (decimal formatted)
"420689899999994.7930999999999974"
Show child attributes
Show child attributes
Fully Diluted Valuation (FDV), this represents the token's Current Price x Total Supply
"3407271444.05"
Indicates if a contract is verified
false
Categories of the token
["stablecoin"]
Show child attributes
Show child attributes
The circulating supply of the token
"4206864.7489303"
The market cap of the token
"3407271444.05"

